Package org.opensaml.saml.common.messaging.context

# Class SAMLMessageReceivedEndpointContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.SAMLMessageReceivedEndpointContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class SAMLMessageReceivedEndpointContext extends BaseContext
A context intended to be used as a subcontext of a `MessageContext` that carries some basic information about the SAML message.

This context is generally used to hold information about the endpoint at which a SAML message was received. In particular it is useful when the SAML message is being processed during a different HTTP request than the one in which it was actually received.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`requestURL`
The request URL.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMessageReceivedEndpointContext()`
Constructor.
`SAMLMessageReceivedEndpointContext(HttpServletRequest request)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRequestURL()`
Get the request URL.
`(package private) void`
`setRequestURL(String url)`
Set the request URL.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### requestURL

@Nullable private String requestURL
The request URL.

## Constructor Details

### SAMLMessageReceivedEndpointContext

public SAMLMessageReceivedEndpointContext()
Constructor.

### SAMLMessageReceivedEndpointContext

public SAMLMessageReceivedEndpointContext(@Nonnull HttpServletRequest request)
Constructor.

This is a convenient copy constructor for info from `HttpServletRequest`. The constructor does NOT store a reference to the request, it merely copies relevant information to the properties of this class.

Parameters:
  `request` - the HTTP request

## Method Details

### getRequestURL

@Nullable public String getRequestURL()
Get the request URL.

Returns:
  the request URL

### setRequestURL

void setRequestURL(@Nullable String url)
Set the request URL.

Parameters:
  `url` - the request URL